// (C) dP
// Ботва в линию.

#include <iostream>
#include <fstream>
#include <vector>

using namespace std;

ifstream fi ("hollow.in");
ofstream fo ("hollow.out");

long n;

int main () {
	
	fi >> n;

	long k;
	double i;

	for (k=0,i=0.0;i<1.0&&k<n;i+=0.01,k++)
			fo << i << " 0" << endl;

	return 0;
}
